
#
# Copyright 2006.  VMware, Inc.  The use of this code is subject to
# your agreement to the terms of an applicable VMware license.
#

package VMware::Vix::API::Constants;
require Exporter;
use vars qw($VERSION @ISA @EXPORT @EXPORT_OK);
@ISA = qw(Exporter);
@EXPORT = qw();
@EXPORT_OK = qw();
$VERSION = 1;

unless(0) {
    sub _VIX_H_ {1} push(@EXPORT, '_VIX_H_');
    if(defined(&__cplusplus)) {
    }
    sub VIX_INVALID_HANDLE {0} push(@EXPORT, 'VIX_INVALID_HANDLE');
    sub VIX_HANDLETYPE_NONE {0} push(@EXPORT, 'VIX_HANDLETYPE_NONE');
    sub VIX_HANDLETYPE_HOST {2} push(@EXPORT, 'VIX_HANDLETYPE_HOST');
    sub VIX_HANDLETYPE_VM {3} push(@EXPORT, 'VIX_HANDLETYPE_VM');
    sub VIX_HANDLETYPE_NETWORK {5} push(@EXPORT, 'VIX_HANDLETYPE_NETWORK');
    sub VIX_HANDLETYPE_JOB {6} push(@EXPORT, 'VIX_HANDLETYPE_JOB');
    sub VIX_HANDLETYPE_SNAPSHOT {7} push(@EXPORT, 'VIX_HANDLETYPE_SNAPSHOT');
    sub VIX_HANDLETYPE_PROPERTY_LIST {9} push(@EXPORT, 'VIX_HANDLETYPE_PROPERTY_LIST');
    sub VIX_HANDLETYPE_METADATA_CONTAINER {11} push(@EXPORT, 'VIX_HANDLETYPE_METADATA_CONTAINER');
    eval 'sub VIX_ERROR_CODE {
        local($err) = @_;
	    eval q((($err) & 0xffff));
    }' unless defined(&VIX_ERROR_CODE);
    eval 'sub VIX_SUCCEEDED {
        local($err) = @_;
	    eval q(( &VIX_OK == ($err)));
    }' unless defined(&VIX_SUCCEEDED);
    eval 'sub VIX_FAILED {
        local($err) = @_;
	    eval q(( &VIX_OK != ($err)));
    }' unless defined(&VIX_FAILED);
    sub VIX_OK {0} push(@EXPORT, 'VIX_OK');
    sub VIX_E_FAIL {1} push(@EXPORT, 'VIX_E_FAIL');
    sub VIX_E_OUT_OF_MEMORY {2} push(@EXPORT, 'VIX_E_OUT_OF_MEMORY');
    sub VIX_E_INVALID_ARG {3} push(@EXPORT, 'VIX_E_INVALID_ARG');
    sub VIX_E_FILE_NOT_FOUND {4} push(@EXPORT, 'VIX_E_FILE_NOT_FOUND');
    sub VIX_E_OBJECT_IS_BUSY {5} push(@EXPORT, 'VIX_E_OBJECT_IS_BUSY');
    sub VIX_E_NOT_SUPPORTED {6} push(@EXPORT, 'VIX_E_NOT_SUPPORTED');
    sub VIX_E_FILE_ERROR {7} push(@EXPORT, 'VIX_E_FILE_ERROR');
    sub VIX_E_DISK_FULL {8} push(@EXPORT, 'VIX_E_DISK_FULL');
    sub VIX_E_INCORRECT_FILE_TYPE {9} push(@EXPORT, 'VIX_E_INCORRECT_FILE_TYPE');
    sub VIX_E_CANCELLED {10} push(@EXPORT, 'VIX_E_CANCELLED');
    sub VIX_E_FILE_READ_ONLY {11} push(@EXPORT, 'VIX_E_FILE_READ_ONLY');
    sub VIX_E_FILE_ALREADY_EXISTS {12} push(@EXPORT, 'VIX_E_FILE_ALREADY_EXISTS');
    sub VIX_E_FILE_ACCESS_ERROR {13} push(@EXPORT, 'VIX_E_FILE_ACCESS_ERROR');
    sub VIX_E_REQUIRES_LARGE_FILES {14} push(@EXPORT, 'VIX_E_REQUIRES_LARGE_FILES');
    sub VIX_E_FILE_ALREADY_LOCKED {15} push(@EXPORT, 'VIX_E_FILE_ALREADY_LOCKED');
    sub VIX_E_VMDB {16} push(@EXPORT, 'VIX_E_VMDB');
    sub VIX_E_NOT_SUPPORTED_ON_REMOTE_OBJECT {20} push(@EXPORT, 'VIX_E_NOT_SUPPORTED_ON_REMOTE_OBJECT');
    sub VIX_E_FILE_TOO_BIG {21} push(@EXPORT, 'VIX_E_FILE_TOO_BIG');
    sub VIX_E_FILE_NAME_INVALID {22} push(@EXPORT, 'VIX_E_FILE_NAME_INVALID');
    sub VIX_E_ALREADY_EXISTS {23} push(@EXPORT, 'VIX_E_ALREADY_EXISTS');
    sub VIX_E_BUFFER_TOOSMALL {24} push(@EXPORT, 'VIX_E_BUFFER_TOOSMALL');
    sub VIX_E_OBJECT_NOT_FOUND {25} push(@EXPORT, 'VIX_E_OBJECT_NOT_FOUND');
    sub VIX_E_HOST_NOT_CONNECTED {26} push(@EXPORT, 'VIX_E_HOST_NOT_CONNECTED');
    sub VIX_E_INVALID_UTF8_STRING {27} push(@EXPORT, 'VIX_E_INVALID_UTF8_STRING');
    sub VIX_E_OPERATION_ALREADY_IN_PROGRESS {31} push(@EXPORT, 'VIX_E_OPERATION_ALREADY_IN_PROGRESS');
    sub VIX_E_UNFINISHED_JOB {29} push(@EXPORT, 'VIX_E_UNFINISHED_JOB');
    sub VIX_E_NEED_KEY {30} push(@EXPORT, 'VIX_E_NEED_KEY');
    sub VIX_E_LICENSE {32} push(@EXPORT, 'VIX_E_LICENSE');
    sub VIX_E_VM_HOST_DISCONNECTED {34} push(@EXPORT, 'VIX_E_VM_HOST_DISCONNECTED');
    sub VIX_E_AUTHENTICATION_FAIL {35} push(@EXPORT, 'VIX_E_AUTHENTICATION_FAIL');
    sub VIX_E_HOST_CONNECTION_LOST {36} push(@EXPORT, 'VIX_E_HOST_CONNECTION_LOST');
    sub VIX_E_DUPLICATE_NAME {41} push(@EXPORT, 'VIX_E_DUPLICATE_NAME');
    sub VIX_E_INVALID_HANDLE {1000} push(@EXPORT, 'VIX_E_INVALID_HANDLE');
    sub VIX_E_NOT_SUPPORTED_ON_HANDLE_TYPE {1001} push(@EXPORT, 'VIX_E_NOT_SUPPORTED_ON_HANDLE_TYPE');
    sub VIX_E_TOO_MANY_HANDLES {1002} push(@EXPORT, 'VIX_E_TOO_MANY_HANDLES');
    sub VIX_E_NOT_FOUND {2000} push(@EXPORT, 'VIX_E_NOT_FOUND');
    sub VIX_E_TYPE_MISMATCH {2001} push(@EXPORT, 'VIX_E_TYPE_MISMATCH');
    sub VIX_E_INVALID_XML {2002} push(@EXPORT, 'VIX_E_INVALID_XML');
    sub VIX_E_TIMEOUT_WAITING_FOR_TOOLS {3000} push(@EXPORT, 'VIX_E_TIMEOUT_WAITING_FOR_TOOLS');
    sub VIX_E_UNRECOGNIZED_COMMAND {3001} push(@EXPORT, 'VIX_E_UNRECOGNIZED_COMMAND');
    sub VIX_E_OP_NOT_SUPPORTED_ON_GUEST {3003} push(@EXPORT, 'VIX_E_OP_NOT_SUPPORTED_ON_GUEST');
    sub VIX_E_PROGRAM_NOT_STARTED {3004} push(@EXPORT, 'VIX_E_PROGRAM_NOT_STARTED');
    sub VIX_E_CANNOT_START_READ_ONLY_VM {3005} push(@EXPORT, 'VIX_E_CANNOT_START_READ_ONLY_VM');
    sub VIX_E_VM_NOT_RUNNING {3006} push(@EXPORT, 'VIX_E_VM_NOT_RUNNING');
    sub VIX_E_VM_IS_RUNNING {3007} push(@EXPORT, 'VIX_E_VM_IS_RUNNING');
    sub VIX_E_CANNOT_CONNECT_TO_VM {3008} push(@EXPORT, 'VIX_E_CANNOT_CONNECT_TO_VM');
    sub VIX_E_POWEROP_SCRIPTS_NOT_AVAILABLE {3009} push(@EXPORT, 'VIX_E_POWEROP_SCRIPTS_NOT_AVAILABLE');
    sub VIX_E_NO_GUEST_OS_INSTALLED {3010} push(@EXPORT, 'VIX_E_NO_GUEST_OS_INSTALLED');
    sub VIX_E_VM_INSUFFICIENT_HOST_MEMORY {3011} push(@EXPORT, 'VIX_E_VM_INSUFFICIENT_HOST_MEMORY');
    sub VIX_E_SUSPEND_ERROR {3012} push(@EXPORT, 'VIX_E_SUSPEND_ERROR');
    sub VIX_E_VM_NOT_ENOUGH_CPUS {3013} push(@EXPORT, 'VIX_E_VM_NOT_ENOUGH_CPUS');
    sub VIX_E_HOST_USER_PERMISSIONS {3014} push(@EXPORT, 'VIX_E_HOST_USER_PERMISSIONS');
    sub VIX_E_GUEST_USER_PERMISSIONS {3015} push(@EXPORT, 'VIX_E_GUEST_USER_PERMISSIONS');
    sub VIX_E_TOOLS_NOT_RUNNING {3016} push(@EXPORT, 'VIX_E_TOOLS_NOT_RUNNING');
    sub VIX_E_GUEST_OPERATIONS_PROHIBITED {3017} push(@EXPORT, 'VIX_E_GUEST_OPERATIONS_PROHIBITED');
    sub VIX_E_ANON_GUEST_OPERATIONS_PROHIBITED {3018} push(@EXPORT, 'VIX_E_ANON_GUEST_OPERATIONS_PROHIBITED');
    sub VIX_E_ROOT_GUEST_OPERATIONS_PROHIBITED {3019} push(@EXPORT, 'VIX_E_ROOT_GUEST_OPERATIONS_PROHIBITED');
    sub VIX_E_MISSING_ANON_GUEST_ACCOUNT {3023} push(@EXPORT, 'VIX_E_MISSING_ANON_GUEST_ACCOUNT');
    sub VIX_E_CANNOT_AUTHENTICATE_WITH_GUEST {3024} push(@EXPORT, 'VIX_E_CANNOT_AUTHENTICATE_WITH_GUEST');
    sub VIX_E_UNRECOGNIZED_COMMAND_IN_GUEST {3025} push(@EXPORT, 'VIX_E_UNRECOGNIZED_COMMAND_IN_GUEST');
    sub VIX_E_CONSOLE_GUEST_OPERATIONS_PROHIBITED {3026} push(@EXPORT, 'VIX_E_CONSOLE_GUEST_OPERATIONS_PROHIBITED');
    sub VIX_E_MUST_BE_CONSOLE_USER {3027} push(@EXPORT, 'VIX_E_MUST_BE_CONSOLE_USER');
    sub VIX_E_VMX_MSG_DIALOG_AND_NO_UI {3028} push(@EXPORT, 'VIX_E_VMX_MSG_DIALOG_AND_NO_UI');
    sub VIX_E_OPERATION_NOT_ALLOWED_FOR_LOGIN_TYPE {3031} push(@EXPORT, 'VIX_E_OPERATION_NOT_ALLOWED_FOR_LOGIN_TYPE');
    sub VIX_E_LOGIN_TYPE_NOT_SUPPORTED {3032} push(@EXPORT, 'VIX_E_LOGIN_TYPE_NOT_SUPPORTED');
    sub VIX_E_EMPTY_PASSWORD_NOT_ALLOWED_IN_GUEST {3033} push(@EXPORT, 'VIX_E_EMPTY_PASSWORD_NOT_ALLOWED_IN_GUEST');
    sub VIX_E_INTERACTIVE_SESSION_NOT_PRESENT {3034} push(@EXPORT, 'VIX_E_INTERACTIVE_SESSION_NOT_PRESENT');
    sub VIX_E_INTERACTIVE_SESSION_USER_MISMATCH {3035} push(@EXPORT, 'VIX_E_INTERACTIVE_SESSION_USER_MISMATCH');
    sub VIX_E_CANNOT_POWER_ON_VM {3041} push(@EXPORT, 'VIX_E_CANNOT_POWER_ON_VM');
    sub VIX_E_NO_DISPLAY_SERVER {3043} push(@EXPORT, 'VIX_E_NO_DISPLAY_SERVER');
    sub VIX_E_TOO_MANY_LOGONS {3046} push(@EXPORT, 'VIX_E_TOO_MANY_LOGONS');
    sub VIX_E_INVALID_AUTHENTICATION_SESSION {3047} push(@EXPORT, 'VIX_E_INVALID_AUTHENTICATION_SESSION');
    sub VIX_E_VM_NOT_FOUND {4000} push(@EXPORT, 'VIX_E_VM_NOT_FOUND');
    sub VIX_E_NOT_SUPPORTED_FOR_VM_VERSION {4001} push(@EXPORT, 'VIX_E_NOT_SUPPORTED_FOR_VM_VERSION');
    sub VIX_E_CANNOT_READ_VM_CONFIG {4002} push(@EXPORT, 'VIX_E_CANNOT_READ_VM_CONFIG');
    sub VIX_E_TEMPLATE_VM {4003} push(@EXPORT, 'VIX_E_TEMPLATE_VM');
    sub VIX_E_VM_ALREADY_LOADED {4004} push(@EXPORT, 'VIX_E_VM_ALREADY_LOADED');
    sub VIX_E_VM_ALREADY_UP_TO_DATE {4006} push(@EXPORT, 'VIX_E_VM_ALREADY_UP_TO_DATE');
    sub VIX_E_VM_UNSUPPORTED_GUEST {4011} push(@EXPORT, 'VIX_E_VM_UNSUPPORTED_GUEST');
    sub VIX_E_UNRECOGNIZED_PROPERTY {6000} push(@EXPORT, 'VIX_E_UNRECOGNIZED_PROPERTY');
    sub VIX_E_INVALID_PROPERTY_VALUE {6001} push(@EXPORT, 'VIX_E_INVALID_PROPERTY_VALUE');
    sub VIX_E_READ_ONLY_PROPERTY {6002} push(@EXPORT, 'VIX_E_READ_ONLY_PROPERTY');
    sub VIX_E_MISSING_REQUIRED_PROPERTY {6003} push(@EXPORT, 'VIX_E_MISSING_REQUIRED_PROPERTY');
    sub VIX_E_INVALID_SERIALIZED_DATA {6004} push(@EXPORT, 'VIX_E_INVALID_SERIALIZED_DATA');
    sub VIX_E_PROPERTY_TYPE_MISMATCH {6005} push(@EXPORT, 'VIX_E_PROPERTY_TYPE_MISMATCH');
    sub VIX_E_BAD_VM_INDEX {8000} push(@EXPORT, 'VIX_E_BAD_VM_INDEX');
    sub VIX_E_INVALID_MESSAGE_HEADER {10000} push(@EXPORT, 'VIX_E_INVALID_MESSAGE_HEADER');
    sub VIX_E_INVALID_MESSAGE_BODY {10001} push(@EXPORT, 'VIX_E_INVALID_MESSAGE_BODY');
    sub VIX_E_SNAPSHOT_INVAL {13000} push(@EXPORT, 'VIX_E_SNAPSHOT_INVAL');
    sub VIX_E_SNAPSHOT_DUMPER {13001} push(@EXPORT, 'VIX_E_SNAPSHOT_DUMPER');
    sub VIX_E_SNAPSHOT_DISKLIB {13002} push(@EXPORT, 'VIX_E_SNAPSHOT_DISKLIB');
    sub VIX_E_SNAPSHOT_NOTFOUND {13003} push(@EXPORT, 'VIX_E_SNAPSHOT_NOTFOUND');
    sub VIX_E_SNAPSHOT_EXISTS {13004} push(@EXPORT, 'VIX_E_SNAPSHOT_EXISTS');
    sub VIX_E_SNAPSHOT_VERSION {13005} push(@EXPORT, 'VIX_E_SNAPSHOT_VERSION');
    sub VIX_E_SNAPSHOT_NOPERM {13006} push(@EXPORT, 'VIX_E_SNAPSHOT_NOPERM');
    sub VIX_E_SNAPSHOT_CONFIG {13007} push(@EXPORT, 'VIX_E_SNAPSHOT_CONFIG');
    sub VIX_E_SNAPSHOT_NOCHANGE {13008} push(@EXPORT, 'VIX_E_SNAPSHOT_NOCHANGE');
    sub VIX_E_SNAPSHOT_CHECKPOINT {13009} push(@EXPORT, 'VIX_E_SNAPSHOT_CHECKPOINT');
    sub VIX_E_SNAPSHOT_LOCKED {13010} push(@EXPORT, 'VIX_E_SNAPSHOT_LOCKED');
    sub VIX_E_SNAPSHOT_INCONSISTENT {13011} push(@EXPORT, 'VIX_E_SNAPSHOT_INCONSISTENT');
    sub VIX_E_SNAPSHOT_NAMETOOLONG {13012} push(@EXPORT, 'VIX_E_SNAPSHOT_NAMETOOLONG');
    sub VIX_E_SNAPSHOT_VIXFILE {13013} push(@EXPORT, 'VIX_E_SNAPSHOT_VIXFILE');
    sub VIX_E_SNAPSHOT_DISKLOCKED {13014} push(@EXPORT, 'VIX_E_SNAPSHOT_DISKLOCKED');
    sub VIX_E_SNAPSHOT_DUPLICATEDDISK {13015} push(@EXPORT, 'VIX_E_SNAPSHOT_DUPLICATEDDISK');
    sub VIX_E_SNAPSHOT_INDEPENDENTDISK {13016} push(@EXPORT, 'VIX_E_SNAPSHOT_INDEPENDENTDISK');
    sub VIX_E_SNAPSHOT_NONUNIQUE_NAME {13017} push(@EXPORT, 'VIX_E_SNAPSHOT_NONUNIQUE_NAME');
    sub VIX_E_SNAPSHOT_MEMORY_ON_INDEPENDENT_DISK {13018} push(@EXPORT, 'VIX_E_SNAPSHOT_MEMORY_ON_INDEPENDENT_DISK');
    sub VIX_E_SNAPSHOT_MAXSNAPSHOTS {13019} push(@EXPORT, 'VIX_E_SNAPSHOT_MAXSNAPSHOTS');
    sub VIX_E_SNAPSHOT_MIN_FREE_SPACE {13020} push(@EXPORT, 'VIX_E_SNAPSHOT_MIN_FREE_SPACE');
    sub VIX_E_SNAPSHOT_HIERARCHY_TOODEEP {13021} push(@EXPORT, 'VIX_E_SNAPSHOT_HIERARCHY_TOODEEP');
    sub VIX_E_SNAPSHOT_RRSUSPEND {13022} push(@EXPORT, 'VIX_E_SNAPSHOT_RRSUSPEND');
    sub VIX_E_SNAPSHOT_NOT_REVERTABLE {13024} push(@EXPORT, 'VIX_E_SNAPSHOT_NOT_REVERTABLE');
    sub VIX_E_HOST_DISK_INVALID_VALUE {14003} push(@EXPORT, 'VIX_E_HOST_DISK_INVALID_VALUE');
    sub VIX_E_HOST_DISK_SECTORSIZE {14004} push(@EXPORT, 'VIX_E_HOST_DISK_SECTORSIZE');
    sub VIX_E_HOST_FILE_ERROR_EOF {14005} push(@EXPORT, 'VIX_E_HOST_FILE_ERROR_EOF');
    sub VIX_E_HOST_NETBLKDEV_HANDSHAKE {14006} push(@EXPORT, 'VIX_E_HOST_NETBLKDEV_HANDSHAKE');
    sub VIX_E_HOST_SOCKET_CREATION_ERROR {14007} push(@EXPORT, 'VIX_E_HOST_SOCKET_CREATION_ERROR');
    sub VIX_E_HOST_SERVER_NOT_FOUND {14008} push(@EXPORT, 'VIX_E_HOST_SERVER_NOT_FOUND');
    sub VIX_E_HOST_NETWORK_CONN_REFUSED {14009} push(@EXPORT, 'VIX_E_HOST_NETWORK_CONN_REFUSED');
    sub VIX_E_HOST_TCP_SOCKET_ERROR {14010} push(@EXPORT, 'VIX_E_HOST_TCP_SOCKET_ERROR');
    sub VIX_E_HOST_TCP_CONN_LOST {14011} push(@EXPORT, 'VIX_E_HOST_TCP_CONN_LOST');
    sub VIX_E_HOST_NBD_HASHFILE_VOLUME {14012} push(@EXPORT, 'VIX_E_HOST_NBD_HASHFILE_VOLUME');
    sub VIX_E_HOST_NBD_HASHFILE_INIT {14013} push(@EXPORT, 'VIX_E_HOST_NBD_HASHFILE_INIT');
    sub VIX_E_DISK_INVAL {16000} push(@EXPORT, 'VIX_E_DISK_INVAL');
    sub VIX_E_DISK_NOINIT {16001} push(@EXPORT, 'VIX_E_DISK_NOINIT');
    sub VIX_E_DISK_NOIO {16002} push(@EXPORT, 'VIX_E_DISK_NOIO');
    sub VIX_E_DISK_PARTIALCHAIN {16003} push(@EXPORT, 'VIX_E_DISK_PARTIALCHAIN');
    sub VIX_E_DISK_NEEDSREPAIR {16006} push(@EXPORT, 'VIX_E_DISK_NEEDSREPAIR');
    sub VIX_E_DISK_OUTOFRANGE {16007} push(@EXPORT, 'VIX_E_DISK_OUTOFRANGE');
    sub VIX_E_DISK_CID_MISMATCH {16008} push(@EXPORT, 'VIX_E_DISK_CID_MISMATCH');
    sub VIX_E_DISK_CANTSHRINK {16009} push(@EXPORT, 'VIX_E_DISK_CANTSHRINK');
    sub VIX_E_DISK_PARTMISMATCH {16010} push(@EXPORT, 'VIX_E_DISK_PARTMISMATCH');
    sub VIX_E_DISK_UNSUPPORTEDDISKVERSION {16011} push(@EXPORT, 'VIX_E_DISK_UNSUPPORTEDDISKVERSION');
    sub VIX_E_DISK_OPENPARENT {16012} push(@EXPORT, 'VIX_E_DISK_OPENPARENT');
    sub VIX_E_DISK_NOTSUPPORTED {16013} push(@EXPORT, 'VIX_E_DISK_NOTSUPPORTED');
    sub VIX_E_DISK_NEEDKEY {16014} push(@EXPORT, 'VIX_E_DISK_NEEDKEY');
    sub VIX_E_DISK_NOKEYOVERRIDE {16015} push(@EXPORT, 'VIX_E_DISK_NOKEYOVERRIDE');
    sub VIX_E_DISK_NOTENCRYPTED {16016} push(@EXPORT, 'VIX_E_DISK_NOTENCRYPTED');
    sub VIX_E_DISK_NOKEY {16017} push(@EXPORT, 'VIX_E_DISK_NOKEY');
    sub VIX_E_DISK_INVALIDPARTITIONTABLE {16018} push(@EXPORT, 'VIX_E_DISK_INVALIDPARTITIONTABLE');
    sub VIX_E_DISK_NOTNORMAL {16019} push(@EXPORT, 'VIX_E_DISK_NOTNORMAL');
    sub VIX_E_DISK_NOTENCDESC {16020} push(@EXPORT, 'VIX_E_DISK_NOTENCDESC');
    sub VIX_E_DISK_NEEDVMFS {16022} push(@EXPORT, 'VIX_E_DISK_NEEDVMFS');
    sub VIX_E_DISK_RAWTOOBIG {16024} push(@EXPORT, 'VIX_E_DISK_RAWTOOBIG');
    sub VIX_E_DISK_TOOMANYOPENFILES {16027} push(@EXPORT, 'VIX_E_DISK_TOOMANYOPENFILES');
    sub VIX_E_DISK_TOOMANYREDO {16028} push(@EXPORT, 'VIX_E_DISK_TOOMANYREDO');
    sub VIX_E_DISK_RAWTOOSMALL {16029} push(@EXPORT, 'VIX_E_DISK_RAWTOOSMALL');
    sub VIX_E_DISK_INVALIDCHAIN {16030} push(@EXPORT, 'VIX_E_DISK_INVALIDCHAIN');
    sub VIX_E_DISK_KEY_NOTFOUND {16052} push(@EXPORT, 'VIX_E_DISK_KEY_NOTFOUND');
    sub VIX_E_DISK_SUBSYSTEM_INIT_FAIL {16053} push(@EXPORT, 'VIX_E_DISK_SUBSYSTEM_INIT_FAIL');
    sub VIX_E_DISK_INVALID_CONNECTION {16054} push(@EXPORT, 'VIX_E_DISK_INVALID_CONNECTION');
    sub VIX_E_DISK_ENCODING {16061} push(@EXPORT, 'VIX_E_DISK_ENCODING');
    sub VIX_E_DISK_CANTREPAIR {16062} push(@EXPORT, 'VIX_E_DISK_CANTREPAIR');
    sub VIX_E_DISK_INVALIDDISK {16063} push(@EXPORT, 'VIX_E_DISK_INVALIDDISK');
    sub VIX_E_DISK_NOLICENSE {16064} push(@EXPORT, 'VIX_E_DISK_NOLICENSE');
    sub VIX_E_DISK_NODEVICE {16065} push(@EXPORT, 'VIX_E_DISK_NODEVICE');
    sub VIX_E_DISK_UNSUPPORTEDDEVICE {16066} push(@EXPORT, 'VIX_E_DISK_UNSUPPORTEDDEVICE');
    sub VIX_E_DISK_CAPACITY_MISMATCH {16067} push(@EXPORT, 'VIX_E_DISK_CAPACITY_MISMATCH');
    sub VIX_E_DISK_PARENT_NOTALLOWED {16068} push(@EXPORT, 'VIX_E_DISK_PARENT_NOTALLOWED');
    sub VIX_E_DISK_ATTACH_ROOTLINK {16069} push(@EXPORT, 'VIX_E_DISK_ATTACH_ROOTLINK');
    sub VIX_E_CRYPTO_UNKNOWN_ALGORITHM {17000} push(@EXPORT, 'VIX_E_CRYPTO_UNKNOWN_ALGORITHM');
    sub VIX_E_CRYPTO_BAD_BUFFER_SIZE {17001} push(@EXPORT, 'VIX_E_CRYPTO_BAD_BUFFER_SIZE');
    sub VIX_E_CRYPTO_INVALID_OPERATION {17002} push(@EXPORT, 'VIX_E_CRYPTO_INVALID_OPERATION');
    sub VIX_E_CRYPTO_RANDOM_DEVICE {17003} push(@EXPORT, 'VIX_E_CRYPTO_RANDOM_DEVICE');
    sub VIX_E_CRYPTO_NEED_PASSWORD {17004} push(@EXPORT, 'VIX_E_CRYPTO_NEED_PASSWORD');
    sub VIX_E_CRYPTO_BAD_PASSWORD {17005} push(@EXPORT, 'VIX_E_CRYPTO_BAD_PASSWORD');
    sub VIX_E_CRYPTO_NOT_IN_DICTIONARY {17006} push(@EXPORT, 'VIX_E_CRYPTO_NOT_IN_DICTIONARY');
    sub VIX_E_CRYPTO_NO_CRYPTO {17007} push(@EXPORT, 'VIX_E_CRYPTO_NO_CRYPTO');
    sub VIX_E_CRYPTO_ERROR {17008} push(@EXPORT, 'VIX_E_CRYPTO_ERROR');
    sub VIX_E_CRYPTO_BAD_FORMAT {17009} push(@EXPORT, 'VIX_E_CRYPTO_BAD_FORMAT');
    sub VIX_E_CRYPTO_LOCKED {17010} push(@EXPORT, 'VIX_E_CRYPTO_LOCKED');
    sub VIX_E_CRYPTO_EMPTY {17011} push(@EXPORT, 'VIX_E_CRYPTO_EMPTY');
    sub VIX_E_CRYPTO_KEYSAFE_LOCATOR {17012} push(@EXPORT, 'VIX_E_CRYPTO_KEYSAFE_LOCATOR');
    sub VIX_E_CANNOT_CONNECT_TO_HOST {18000} push(@EXPORT, 'VIX_E_CANNOT_CONNECT_TO_HOST');
    sub VIX_E_NOT_FOR_REMOTE_HOST {18001} push(@EXPORT, 'VIX_E_NOT_FOR_REMOTE_HOST');
    sub VIX_E_INVALID_HOSTNAME_SPECIFICATION {18002} push(@EXPORT, 'VIX_E_INVALID_HOSTNAME_SPECIFICATION');
    sub VIX_E_SCREEN_CAPTURE_ERROR {19000} push(@EXPORT, 'VIX_E_SCREEN_CAPTURE_ERROR');
    sub VIX_E_SCREEN_CAPTURE_BAD_FORMAT {19001} push(@EXPORT, 'VIX_E_SCREEN_CAPTURE_BAD_FORMAT');
    sub VIX_E_SCREEN_CAPTURE_COMPRESSION_FAIL {19002} push(@EXPORT, 'VIX_E_SCREEN_CAPTURE_COMPRESSION_FAIL');
    sub VIX_E_SCREEN_CAPTURE_LARGE_DATA {19003} push(@EXPORT, 'VIX_E_SCREEN_CAPTURE_LARGE_DATA');
    sub VIX_E_GUEST_VOLUMES_NOT_FROZEN {20000} push(@EXPORT, 'VIX_E_GUEST_VOLUMES_NOT_FROZEN');
    sub VIX_E_NOT_A_FILE {20001} push(@EXPORT, 'VIX_E_NOT_A_FILE');
    sub VIX_E_NOT_A_DIRECTORY {20002} push(@EXPORT, 'VIX_E_NOT_A_DIRECTORY');
    sub VIX_E_NO_SUCH_PROCESS {20003} push(@EXPORT, 'VIX_E_NO_SUCH_PROCESS');
    sub VIX_E_FILE_NAME_TOO_LONG {20004} push(@EXPORT, 'VIX_E_FILE_NAME_TOO_LONG');
    sub VIX_E_OPERATION_DISABLED {20005} push(@EXPORT, 'VIX_E_OPERATION_DISABLED');
    sub VIX_E_TOOLS_INSTALL_NO_IMAGE {21000} push(@EXPORT, 'VIX_E_TOOLS_INSTALL_NO_IMAGE');
    sub VIX_E_TOOLS_INSTALL_IMAGE_INACCESIBLE {21001} push(@EXPORT, 'VIX_E_TOOLS_INSTALL_IMAGE_INACCESIBLE');
    sub VIX_E_TOOLS_INSTALL_NO_DEVICE {21002} push(@EXPORT, 'VIX_E_TOOLS_INSTALL_NO_DEVICE');
    sub VIX_E_TOOLS_INSTALL_DEVICE_NOT_CONNECTED {21003} push(@EXPORT, 'VIX_E_TOOLS_INSTALL_DEVICE_NOT_CONNECTED');
    sub VIX_E_TOOLS_INSTALL_CANCELLED {21004} push(@EXPORT, 'VIX_E_TOOLS_INSTALL_CANCELLED');
    sub VIX_E_TOOLS_INSTALL_INIT_FAILED {21005} push(@EXPORT, 'VIX_E_TOOLS_INSTALL_INIT_FAILED');
    sub VIX_E_TOOLS_INSTALL_AUTO_NOT_SUPPORTED {21006} push(@EXPORT, 'VIX_E_TOOLS_INSTALL_AUTO_NOT_SUPPORTED');
    sub VIX_E_TOOLS_INSTALL_GUEST_NOT_READY {21007} push(@EXPORT, 'VIX_E_TOOLS_INSTALL_GUEST_NOT_READY');
    sub VIX_E_TOOLS_INSTALL_SIG_CHECK_FAILED {21008} push(@EXPORT, 'VIX_E_TOOLS_INSTALL_SIG_CHECK_FAILED');
    sub VIX_E_TOOLS_INSTALL_ERROR {21009} push(@EXPORT, 'VIX_E_TOOLS_INSTALL_ERROR');
    sub VIX_E_TOOLS_INSTALL_ALREADY_UP_TO_DATE {21010} push(@EXPORT, 'VIX_E_TOOLS_INSTALL_ALREADY_UP_TO_DATE');
    sub VIX_E_TOOLS_INSTALL_IN_PROGRESS {21011} push(@EXPORT, 'VIX_E_TOOLS_INSTALL_IN_PROGRESS');
    sub VIX_E_WRAPPER_WORKSTATION_NOT_INSTALLED {22001} push(@EXPORT, 'VIX_E_WRAPPER_WORKSTATION_NOT_INSTALLED');
    sub VIX_E_WRAPPER_VERSION_NOT_FOUND {22002} push(@EXPORT, 'VIX_E_WRAPPER_VERSION_NOT_FOUND');
    sub VIX_E_WRAPPER_SERVICEPROVIDER_NOT_FOUND {22003} push(@EXPORT, 'VIX_E_WRAPPER_SERVICEPROVIDER_NOT_FOUND');
    sub VIX_E_WRAPPER_PLAYER_NOT_INSTALLED {22004} push(@EXPORT, 'VIX_E_WRAPPER_PLAYER_NOT_INSTALLED');
    sub VIX_E_WRAPPER_RUNTIME_NOT_INSTALLED {22005} push(@EXPORT, 'VIX_E_WRAPPER_RUNTIME_NOT_INSTALLED');
    sub VIX_E_WRAPPER_MULTIPLE_SERVICEPROVIDERS {22006} push(@EXPORT, 'VIX_E_WRAPPER_MULTIPLE_SERVICEPROVIDERS');
    sub VIX_E_MNTAPI_MOUNTPT_NOT_FOUND {24000} push(@EXPORT, 'VIX_E_MNTAPI_MOUNTPT_NOT_FOUND');
    sub VIX_E_MNTAPI_MOUNTPT_IN_USE {24001} push(@EXPORT, 'VIX_E_MNTAPI_MOUNTPT_IN_USE');
    sub VIX_E_MNTAPI_DISK_NOT_FOUND {24002} push(@EXPORT, 'VIX_E_MNTAPI_DISK_NOT_FOUND');
    sub VIX_E_MNTAPI_DISK_NOT_MOUNTED {24003} push(@EXPORT, 'VIX_E_MNTAPI_DISK_NOT_MOUNTED');
    sub VIX_E_MNTAPI_DISK_IS_MOUNTED {24004} push(@EXPORT, 'VIX_E_MNTAPI_DISK_IS_MOUNTED');
    sub VIX_E_MNTAPI_DISK_NOT_SAFE {24005} push(@EXPORT, 'VIX_E_MNTAPI_DISK_NOT_SAFE');
    sub VIX_E_MNTAPI_DISK_CANT_OPEN {24006} push(@EXPORT, 'VIX_E_MNTAPI_DISK_CANT_OPEN');
    sub VIX_E_MNTAPI_CANT_READ_PARTS {24007} push(@EXPORT, 'VIX_E_MNTAPI_CANT_READ_PARTS');
    sub VIX_E_MNTAPI_UMOUNT_APP_NOT_FOUND {24008} push(@EXPORT, 'VIX_E_MNTAPI_UMOUNT_APP_NOT_FOUND');
    sub VIX_E_MNTAPI_UMOUNT {24009} push(@EXPORT, 'VIX_E_MNTAPI_UMOUNT');
    sub VIX_E_MNTAPI_NO_MOUNTABLE_PARTITONS {24010} push(@EXPORT, 'VIX_E_MNTAPI_NO_MOUNTABLE_PARTITONS');
    sub VIX_E_MNTAPI_PARTITION_RANGE {24011} push(@EXPORT, 'VIX_E_MNTAPI_PARTITION_RANGE');
    sub VIX_E_MNTAPI_PERM {24012} push(@EXPORT, 'VIX_E_MNTAPI_PERM');
    sub VIX_E_MNTAPI_DICT {24013} push(@EXPORT, 'VIX_E_MNTAPI_DICT');
    sub VIX_E_MNTAPI_DICT_LOCKED {24014} push(@EXPORT, 'VIX_E_MNTAPI_DICT_LOCKED');
    sub VIX_E_MNTAPI_OPEN_HANDLES {24015} push(@EXPORT, 'VIX_E_MNTAPI_OPEN_HANDLES');
    sub VIX_E_MNTAPI_CANT_MAKE_VAR_DIR {24016} push(@EXPORT, 'VIX_E_MNTAPI_CANT_MAKE_VAR_DIR');
    sub VIX_E_MNTAPI_NO_ROOT {24017} push(@EXPORT, 'VIX_E_MNTAPI_NO_ROOT');
    sub VIX_E_MNTAPI_LOOP_FAILED {24018} push(@EXPORT, 'VIX_E_MNTAPI_LOOP_FAILED');
    sub VIX_E_MNTAPI_DAEMON {24019} push(@EXPORT, 'VIX_E_MNTAPI_DAEMON');
    sub VIX_E_MNTAPI_INTERNAL {24020} push(@EXPORT, 'VIX_E_MNTAPI_INTERNAL');
    sub VIX_E_MNTAPI_SYSTEM {24021} push(@EXPORT, 'VIX_E_MNTAPI_SYSTEM');
    sub VIX_E_MNTAPI_NO_CONNECTION_DETAILS {24022} push(@EXPORT, 'VIX_E_MNTAPI_NO_CONNECTION_DETAILS');
    sub VIX_E_MNTAPI_INCOMPATIBLE_VERSION {24300} push(@EXPORT, 'VIX_E_MNTAPI_INCOMPATIBLE_VERSION');
    sub VIX_E_MNTAPI_OS_ERROR {24301} push(@EXPORT, 'VIX_E_MNTAPI_OS_ERROR');
    sub VIX_E_MNTAPI_DRIVE_LETTER_IN_USE {24302} push(@EXPORT, 'VIX_E_MNTAPI_DRIVE_LETTER_IN_USE');
    sub VIX_E_MNTAPI_DRIVE_LETTER_ALREADY_ASSIGNED {24303} push(@EXPORT, 'VIX_E_MNTAPI_DRIVE_LETTER_ALREADY_ASSIGNED');
    sub VIX_E_MNTAPI_VOLUME_NOT_MOUNTED {24304} push(@EXPORT, 'VIX_E_MNTAPI_VOLUME_NOT_MOUNTED');
    sub VIX_E_MNTAPI_VOLUME_ALREADY_MOUNTED {24305} push(@EXPORT, 'VIX_E_MNTAPI_VOLUME_ALREADY_MOUNTED');
    sub VIX_E_MNTAPI_FORMAT_FAILURE {24306} push(@EXPORT, 'VIX_E_MNTAPI_FORMAT_FAILURE');
    sub VIX_E_MNTAPI_NO_DRIVER {24307} push(@EXPORT, 'VIX_E_MNTAPI_NO_DRIVER');
    sub VIX_E_MNTAPI_ALREADY_OPENED {24308} push(@EXPORT, 'VIX_E_MNTAPI_ALREADY_OPENED');
    sub VIX_E_MNTAPI_ITEM_NOT_FOUND {24309} push(@EXPORT, 'VIX_E_MNTAPI_ITEM_NOT_FOUND');
    sub VIX_E_MNTAPI_UNSUPPROTED_BOOT_LOADER {24310} push(@EXPORT, 'VIX_E_MNTAPI_UNSUPPROTED_BOOT_LOADER');
    sub VIX_E_MNTAPI_UNSUPPROTED_OS {24311} push(@EXPORT, 'VIX_E_MNTAPI_UNSUPPROTED_OS');
    sub VIX_E_MNTAPI_CODECONVERSION {24312} push(@EXPORT, 'VIX_E_MNTAPI_CODECONVERSION');
    sub VIX_E_MNTAPI_REGWRITE_ERROR {24313} push(@EXPORT, 'VIX_E_MNTAPI_REGWRITE_ERROR');
    sub VIX_E_MNTAPI_UNSUPPORTED_FT_VOLUME {24314} push(@EXPORT, 'VIX_E_MNTAPI_UNSUPPORTED_FT_VOLUME');
    sub VIX_E_MNTAPI_PARTITION_NOT_FOUND {24315} push(@EXPORT, 'VIX_E_MNTAPI_PARTITION_NOT_FOUND');
    sub VIX_E_MNTAPI_PUTFILE_ERROR {24316} push(@EXPORT, 'VIX_E_MNTAPI_PUTFILE_ERROR');
    sub VIX_E_MNTAPI_GETFILE_ERROR {24317} push(@EXPORT, 'VIX_E_MNTAPI_GETFILE_ERROR');
    sub VIX_E_MNTAPI_REG_NOT_OPENED {24318} push(@EXPORT, 'VIX_E_MNTAPI_REG_NOT_OPENED');
    sub VIX_E_MNTAPI_REGDELKEY_ERROR {24319} push(@EXPORT, 'VIX_E_MNTAPI_REGDELKEY_ERROR');
    sub VIX_E_MNTAPI_CREATE_PARTITIONTABLE_ERROR {24320} push(@EXPORT, 'VIX_E_MNTAPI_CREATE_PARTITIONTABLE_ERROR');
    sub VIX_E_MNTAPI_OPEN_FAILURE {24321} push(@EXPORT, 'VIX_E_MNTAPI_OPEN_FAILURE');
    sub VIX_E_MNTAPI_VOLUME_NOT_WRITABLE {24322} push(@EXPORT, 'VIX_E_MNTAPI_VOLUME_NOT_WRITABLE');
    sub VIX_E_NET_HTTP_UNSUPPORTED_PROTOCOL {30001} push(@EXPORT, 'VIX_E_NET_HTTP_UNSUPPORTED_PROTOCOL');
    sub VIX_E_NET_HTTP_URL_MALFORMAT {30003} push(@EXPORT, 'VIX_E_NET_HTTP_URL_MALFORMAT');
    sub VIX_E_NET_HTTP_COULDNT_RESOLVE_PROXY {30005} push(@EXPORT, 'VIX_E_NET_HTTP_COULDNT_RESOLVE_PROXY');
    sub VIX_E_NET_HTTP_COULDNT_RESOLVE_HOST {30006} push(@EXPORT, 'VIX_E_NET_HTTP_COULDNT_RESOLVE_HOST');
    sub VIX_E_NET_HTTP_COULDNT_CONNECT {30007} push(@EXPORT, 'VIX_E_NET_HTTP_COULDNT_CONNECT');
    sub VIX_E_NET_HTTP_HTTP_RETURNED_ERROR {30022} push(@EXPORT, 'VIX_E_NET_HTTP_HTTP_RETURNED_ERROR');
    sub VIX_E_NET_HTTP_OPERATION_TIMEDOUT {30028} push(@EXPORT, 'VIX_E_NET_HTTP_OPERATION_TIMEDOUT');
    sub VIX_E_NET_HTTP_SSL_CONNECT_ERROR {30035} push(@EXPORT, 'VIX_E_NET_HTTP_SSL_CONNECT_ERROR');
    sub VIX_E_NET_HTTP_TOO_MANY_REDIRECTS {30047} push(@EXPORT, 'VIX_E_NET_HTTP_TOO_MANY_REDIRECTS');
    sub VIX_E_NET_HTTP_TRANSFER {30200} push(@EXPORT, 'VIX_E_NET_HTTP_TRANSFER');
    sub VIX_E_NET_HTTP_SSL_SECURITY {30201} push(@EXPORT, 'VIX_E_NET_HTTP_SSL_SECURITY');
    sub VIX_E_NET_HTTP_GENERIC {30202} push(@EXPORT, 'VIX_E_NET_HTTP_GENERIC');
    sub VIX_PROPERTYTYPE_ANY {0} push(@EXPORT, 'VIX_PROPERTYTYPE_ANY');
    sub VIX_PROPERTYTYPE_INTEGER {1} push(@EXPORT, 'VIX_PROPERTYTYPE_INTEGER');
    sub VIX_PROPERTYTYPE_STRING {2} push(@EXPORT, 'VIX_PROPERTYTYPE_STRING');
    sub VIX_PROPERTYTYPE_BOOL {3} push(@EXPORT, 'VIX_PROPERTYTYPE_BOOL');
    sub VIX_PROPERTYTYPE_HANDLE {4} push(@EXPORT, 'VIX_PROPERTYTYPE_HANDLE');
    sub VIX_PROPERTYTYPE_INT64 {5} push(@EXPORT, 'VIX_PROPERTYTYPE_INT64');
    sub VIX_PROPERTYTYPE_BLOB {6} push(@EXPORT, 'VIX_PROPERTYTYPE_BLOB');
    sub VIX_PROPERTY_NONE {0} push(@EXPORT, 'VIX_PROPERTY_NONE');
    sub VIX_PROPERTY_META_DATA_CONTAINER {2} push(@EXPORT, 'VIX_PROPERTY_META_DATA_CONTAINER');
    sub VIX_PROPERTY_HOST_HOSTTYPE {50} push(@EXPORT, 'VIX_PROPERTY_HOST_HOSTTYPE');
    sub VIX_PROPERTY_HOST_API_VERSION {51} push(@EXPORT, 'VIX_PROPERTY_HOST_API_VERSION');
    sub VIX_PROPERTY_VM_NUM_VCPUS {101} push(@EXPORT, 'VIX_PROPERTY_VM_NUM_VCPUS');
    sub VIX_PROPERTY_VM_VMX_PATHNAME {103} push(@EXPORT, 'VIX_PROPERTY_VM_VMX_PATHNAME');
    sub VIX_PROPERTY_VM_VMTEAM_PATHNAME {105} push(@EXPORT, 'VIX_PROPERTY_VM_VMTEAM_PATHNAME');
    sub VIX_PROPERTY_VM_MEMORY_SIZE {106} push(@EXPORT, 'VIX_PROPERTY_VM_MEMORY_SIZE');
    sub VIX_PROPERTY_VM_READ_ONLY {107} push(@EXPORT, 'VIX_PROPERTY_VM_READ_ONLY');
    sub VIX_PROPERTY_VM_NAME {108} push(@EXPORT, 'VIX_PROPERTY_VM_NAME');
    sub VIX_PROPERTY_VM_GUESTOS {109} push(@EXPORT, 'VIX_PROPERTY_VM_GUESTOS');
    sub VIX_PROPERTY_VM_IN_VMTEAM {128} push(@EXPORT, 'VIX_PROPERTY_VM_IN_VMTEAM');
    sub VIX_PROPERTY_VM_POWER_STATE {129} push(@EXPORT, 'VIX_PROPERTY_VM_POWER_STATE');
    sub VIX_PROPERTY_VM_TOOLS_STATE {152} push(@EXPORT, 'VIX_PROPERTY_VM_TOOLS_STATE');
    sub VIX_PROPERTY_VM_IS_RUNNING {196} push(@EXPORT, 'VIX_PROPERTY_VM_IS_RUNNING');
    sub VIX_PROPERTY_VM_SUPPORTED_FEATURES {197} push(@EXPORT, 'VIX_PROPERTY_VM_SUPPORTED_FEATURES');
    sub VIX_PROPERTY_VM_SSL_ERROR {293} push(@EXPORT, 'VIX_PROPERTY_VM_SSL_ERROR');
    sub VIX_PROPERTY_JOB_RESULT_ERROR_CODE {3000} push(@EXPORT, 'VIX_PROPERTY_JOB_RESULT_ERROR_CODE');
    sub VIX_PROPERTY_JOB_RESULT_VM_IN_GROUP {3001} push(@EXPORT, 'VIX_PROPERTY_JOB_RESULT_VM_IN_GROUP');
    sub VIX_PROPERTY_JOB_RESULT_USER_MESSAGE {3002} push(@EXPORT, 'VIX_PROPERTY_JOB_RESULT_USER_MESSAGE');
    sub VIX_PROPERTY_JOB_RESULT_EXIT_CODE {3004} push(@EXPORT, 'VIX_PROPERTY_JOB_RESULT_EXIT_CODE');
    sub VIX_PROPERTY_JOB_RESULT_COMMAND_OUTPUT {3005} push(@EXPORT, 'VIX_PROPERTY_JOB_RESULT_COMMAND_OUTPUT');
    sub VIX_PROPERTY_JOB_RESULT_HANDLE {3010} push(@EXPORT, 'VIX_PROPERTY_JOB_RESULT_HANDLE');
    sub VIX_PROPERTY_JOB_RESULT_GUEST_OBJECT_EXISTS {3011} push(@EXPORT, 'VIX_PROPERTY_JOB_RESULT_GUEST_OBJECT_EXISTS');
    sub VIX_PROPERTY_JOB_RESULT_GUEST_PROGRAM_ELAPSED_TIME {3017} push(@EXPORT, 'VIX_PROPERTY_JOB_RESULT_GUEST_PROGRAM_ELAPSED_TIME');
    sub VIX_PROPERTY_JOB_RESULT_GUEST_PROGRAM_EXIT_CODE {3018} push(@EXPORT, 'VIX_PROPERTY_JOB_RESULT_GUEST_PROGRAM_EXIT_CODE');
    sub VIX_PROPERTY_JOB_RESULT_ITEM_NAME {3035} push(@EXPORT, 'VIX_PROPERTY_JOB_RESULT_ITEM_NAME');
    sub VIX_PROPERTY_JOB_RESULT_FOUND_ITEM_DESCRIPTION {3036} push(@EXPORT, 'VIX_PROPERTY_JOB_RESULT_FOUND_ITEM_DESCRIPTION');
    sub VIX_PROPERTY_JOB_RESULT_SHARED_FOLDER_COUNT {3046} push(@EXPORT, 'VIX_PROPERTY_JOB_RESULT_SHARED_FOLDER_COUNT');
    sub VIX_PROPERTY_JOB_RESULT_SHARED_FOLDER_HOST {3048} push(@EXPORT, 'VIX_PROPERTY_JOB_RESULT_SHARED_FOLDER_HOST');
    sub VIX_PROPERTY_JOB_RESULT_SHARED_FOLDER_FLAGS {3049} push(@EXPORT, 'VIX_PROPERTY_JOB_RESULT_SHARED_FOLDER_FLAGS');
    sub VIX_PROPERTY_JOB_RESULT_PROCESS_ID {3051} push(@EXPORT, 'VIX_PROPERTY_JOB_RESULT_PROCESS_ID');
    sub VIX_PROPERTY_JOB_RESULT_PROCESS_OWNER {3052} push(@EXPORT, 'VIX_PROPERTY_JOB_RESULT_PROCESS_OWNER');
    sub VIX_PROPERTY_JOB_RESULT_PROCESS_COMMAND {3053} push(@EXPORT, 'VIX_PROPERTY_JOB_RESULT_PROCESS_COMMAND');
    sub VIX_PROPERTY_JOB_RESULT_FILE_FLAGS {3054} push(@EXPORT, 'VIX_PROPERTY_JOB_RESULT_FILE_FLAGS');
    sub VIX_PROPERTY_JOB_RESULT_PROCESS_START_TIME {3055} push(@EXPORT, 'VIX_PROPERTY_JOB_RESULT_PROCESS_START_TIME');
    sub VIX_PROPERTY_JOB_RESULT_VM_VARIABLE_STRING {3056} push(@EXPORT, 'VIX_PROPERTY_JOB_RESULT_VM_VARIABLE_STRING');
    sub VIX_PROPERTY_JOB_RESULT_PROCESS_BEING_DEBUGGED {3057} push(@EXPORT, 'VIX_PROPERTY_JOB_RESULT_PROCESS_BEING_DEBUGGED');
    sub VIX_PROPERTY_JOB_RESULT_SCREEN_IMAGE_SIZE {3058} push(@EXPORT, 'VIX_PROPERTY_JOB_RESULT_SCREEN_IMAGE_SIZE');
    sub VIX_PROPERTY_JOB_RESULT_SCREEN_IMAGE_DATA {3059} push(@EXPORT, 'VIX_PROPERTY_JOB_RESULT_SCREEN_IMAGE_DATA');
    sub VIX_PROPERTY_JOB_RESULT_FILE_SIZE {3061} push(@EXPORT, 'VIX_PROPERTY_JOB_RESULT_FILE_SIZE');
    sub VIX_PROPERTY_JOB_RESULT_FILE_MOD_TIME {3062} push(@EXPORT, 'VIX_PROPERTY_JOB_RESULT_FILE_MOD_TIME');
    sub VIX_PROPERTY_JOB_RESULT_EXTRA_ERROR_INFO {3084} push(@EXPORT, 'VIX_PROPERTY_JOB_RESULT_EXTRA_ERROR_INFO');
    sub VIX_PROPERTY_FOUND_ITEM_LOCATION {4010} push(@EXPORT, 'VIX_PROPERTY_FOUND_ITEM_LOCATION');
    sub VIX_PROPERTY_SNAPSHOT_DISPLAYNAME {4200} push(@EXPORT, 'VIX_PROPERTY_SNAPSHOT_DISPLAYNAME');
    sub VIX_PROPERTY_SNAPSHOT_DESCRIPTION {4201} push(@EXPORT, 'VIX_PROPERTY_SNAPSHOT_DESCRIPTION');
    sub VIX_PROPERTY_SNAPSHOT_POWERSTATE {4205} push(@EXPORT, 'VIX_PROPERTY_SNAPSHOT_POWERSTATE');
    sub VIX_PROPERTY_GUEST_SHAREDFOLDERS_SHARES_PATH {4525} push(@EXPORT, 'VIX_PROPERTY_GUEST_SHAREDFOLDERS_SHARES_PATH');
    sub VIX_PROPERTY_VM_ENCRYPTION_PASSWORD {7001} push(@EXPORT, 'VIX_PROPERTY_VM_ENCRYPTION_PASSWORD');
    sub VIX_EVENTTYPE_JOB_COMPLETED {2} push(@EXPORT, 'VIX_EVENTTYPE_JOB_COMPLETED');
    sub VIX_EVENTTYPE_JOB_PROGRESS {3} push(@EXPORT, 'VIX_EVENTTYPE_JOB_PROGRESS');
    sub VIX_EVENTTYPE_FIND_ITEM {8} push(@EXPORT, 'VIX_EVENTTYPE_FIND_ITEM');
    sub VIX_EVENTTYPE_CALLBACK_SIGNALLED {2} push(@EXPORT, 'VIX_EVENTTYPE_CALLBACK_SIGNALLED');
    sub VIX_FILE_ATTRIBUTES_DIRECTORY {0x0001} push(@EXPORT, 'VIX_FILE_ATTRIBUTES_DIRECTORY');
    sub VIX_FILE_ATTRIBUTES_SYMLINK {0x0002} push(@EXPORT, 'VIX_FILE_ATTRIBUTES_SYMLINK');
    sub VIX_HOSTOPTION_VERIFY_SSL_CERT {0x4000} push(@EXPORT, 'VIX_HOSTOPTION_VERIFY_SSL_CERT');
    sub VIX_SERVICEPROVIDER_DEFAULT {1} push(@EXPORT, 'VIX_SERVICEPROVIDER_DEFAULT');
    sub VIX_SERVICEPROVIDER_VMWARE_SERVER {2} push(@EXPORT, 'VIX_SERVICEPROVIDER_VMWARE_SERVER');
    sub VIX_SERVICEPROVIDER_VMWARE_WORKSTATION {3} push(@EXPORT, 'VIX_SERVICEPROVIDER_VMWARE_WORKSTATION');
    sub VIX_SERVICEPROVIDER_VMWARE_PLAYER {4} push(@EXPORT, 'VIX_SERVICEPROVIDER_VMWARE_PLAYER');
    sub VIX_SERVICEPROVIDER_VMWARE_VI_SERVER {10} push(@EXPORT, 'VIX_SERVICEPROVIDER_VMWARE_VI_SERVER');
    sub VIX_SERVICEPROVIDER_VMWARE_WORKSTATION_SHARED {11} push(@EXPORT, 'VIX_SERVICEPROVIDER_VMWARE_WORKSTATION_SHARED');
    sub VIX_API_VERSION {-1} push(@EXPORT, 'VIX_API_VERSION');
    sub VIX_FIND_RUNNING_VMS {1} push(@EXPORT, 'VIX_FIND_RUNNING_VMS');
    sub VIX_FIND_REGISTERED_VMS {4} push(@EXPORT, 'VIX_FIND_REGISTERED_VMS');
    sub VIX_VMOPEN_NORMAL {0x0} push(@EXPORT, 'VIX_VMOPEN_NORMAL');
    unless(0) {
    }
    sub VIX_VMPOWEROP_NORMAL {0} push(@EXPORT, 'VIX_VMPOWEROP_NORMAL');
    sub VIX_VMPOWEROP_FROM_GUEST {0x0004} push(@EXPORT, 'VIX_VMPOWEROP_FROM_GUEST');
    sub VIX_VMPOWEROP_SUPPRESS_SNAPSHOT_POWERON {0x0080} push(@EXPORT, 'VIX_VMPOWEROP_SUPPRESS_SNAPSHOT_POWERON');
    sub VIX_VMPOWEROP_LAUNCH_GUI {0x0200} push(@EXPORT, 'VIX_VMPOWEROP_LAUNCH_GUI');
    sub VIX_VMPOWEROP_START_VM_PAUSED {0x1000} push(@EXPORT, 'VIX_VMPOWEROP_START_VM_PAUSED');
    sub VIX_VMDELETE_DISK_FILES {0x0002} push(@EXPORT, 'VIX_VMDELETE_DISK_FILES');
    sub VIX_POWERSTATE_POWERING_OFF {0x0001} push(@EXPORT, 'VIX_POWERSTATE_POWERING_OFF');
    sub VIX_POWERSTATE_POWERED_OFF {0x0002} push(@EXPORT, 'VIX_POWERSTATE_POWERED_OFF');
    sub VIX_POWERSTATE_POWERING_ON {0x0004} push(@EXPORT, 'VIX_POWERSTATE_POWERING_ON');
    sub VIX_POWERSTATE_POWERED_ON {0x0008} push(@EXPORT, 'VIX_POWERSTATE_POWERED_ON');
    sub VIX_POWERSTATE_SUSPENDING {0x0010} push(@EXPORT, 'VIX_POWERSTATE_SUSPENDING');
    sub VIX_POWERSTATE_SUSPENDED {0x0020} push(@EXPORT, 'VIX_POWERSTATE_SUSPENDED');
    sub VIX_POWERSTATE_TOOLS_RUNNING {0x0040} push(@EXPORT, 'VIX_POWERSTATE_TOOLS_RUNNING');
    sub VIX_POWERSTATE_RESETTING {0x0080} push(@EXPORT, 'VIX_POWERSTATE_RESETTING');
    sub VIX_POWERSTATE_BLOCKED_ON_MSG {0x0100} push(@EXPORT, 'VIX_POWERSTATE_BLOCKED_ON_MSG');
    sub VIX_POWERSTATE_PAUSED {0x0200} push(@EXPORT, 'VIX_POWERSTATE_PAUSED');
    sub VIX_POWERSTATE_RESUMING {0x0800} push(@EXPORT, 'VIX_POWERSTATE_RESUMING');
    sub VIX_TOOLSSTATE_UNKNOWN {0x0001} push(@EXPORT, 'VIX_TOOLSSTATE_UNKNOWN');
    sub VIX_TOOLSSTATE_RUNNING {0x0002} push(@EXPORT, 'VIX_TOOLSSTATE_RUNNING');
    sub VIX_TOOLSSTATE_NOT_INSTALLED {0x0004} push(@EXPORT, 'VIX_TOOLSSTATE_NOT_INSTALLED');
    sub VIX_VM_SUPPORT_SHARED_FOLDERS {0x0001} push(@EXPORT, 'VIX_VM_SUPPORT_SHARED_FOLDERS');
    sub VIX_VM_SUPPORT_MULTIPLE_SNAPSHOTS {0x0002} push(@EXPORT, 'VIX_VM_SUPPORT_MULTIPLE_SNAPSHOTS');
    sub VIX_VM_SUPPORT_TOOLS_INSTALL {0x0004} push(@EXPORT, 'VIX_VM_SUPPORT_TOOLS_INSTALL');
    sub VIX_VM_SUPPORT_HARDWARE_UPGRADE {0x0008} push(@EXPORT, 'VIX_VM_SUPPORT_HARDWARE_UPGRADE');
    sub VIX_LOGIN_IN_GUEST_REQUIRE_INTERACTIVE_ENVIRONMENT {0x08} push(@EXPORT, 'VIX_LOGIN_IN_GUEST_REQUIRE_INTERACTIVE_ENVIRONMENT');
    sub VIX_RUNPROGRAM_RETURN_IMMEDIATELY {0x0001} push(@EXPORT, 'VIX_RUNPROGRAM_RETURN_IMMEDIATELY');
    sub VIX_RUNPROGRAM_ACTIVATE_WINDOW {0x0002} push(@EXPORT, 'VIX_RUNPROGRAM_ACTIVATE_WINDOW');
    sub VIX_VM_GUEST_VARIABLE {1} push(@EXPORT, 'VIX_VM_GUEST_VARIABLE');
    sub VIX_VM_CONFIG_RUNTIME_ONLY {2} push(@EXPORT, 'VIX_VM_CONFIG_RUNTIME_ONLY');
    sub VIX_GUEST_ENVIRONMENT_VARIABLE {3} push(@EXPORT, 'VIX_GUEST_ENVIRONMENT_VARIABLE');
    sub VIX_SNAPSHOT_REMOVE_CHILDREN {0x0001} push(@EXPORT, 'VIX_SNAPSHOT_REMOVE_CHILDREN');
    sub VIX_SNAPSHOT_INCLUDE_MEMORY {0x0002} push(@EXPORT, 'VIX_SNAPSHOT_INCLUDE_MEMORY');
    sub VIX_SHAREDFOLDER_WRITE_ACCESS {0x04} push(@EXPORT, 'VIX_SHAREDFOLDER_WRITE_ACCESS');
    unless(0) {
	sub VIX_CAPTURESCREENFORMAT_PNG {0x01} push(@EXPORT, 'VIX_CAPTURESCREENFORMAT_PNG');
	sub VIX_CAPTURESCREENFORMAT_PNG_NOCOMPRESS {0x02} push(@EXPORT, 'VIX_CAPTURESCREENFORMAT_PNG_NOCOMPRESS');
    }
    sub VIX_CLONETYPE_FULL {0} push(@EXPORT, 'VIX_CLONETYPE_FULL');
    sub VIX_CLONETYPE_LINKED {1} push(@EXPORT, 'VIX_CLONETYPE_LINKED');
    sub VIX_INSTALLTOOLS_MOUNT_TOOLS_INSTALLER {0x00} push(@EXPORT, 'VIX_INSTALLTOOLS_MOUNT_TOOLS_INSTALLER');
    sub VIX_INSTALLTOOLS_AUTO_UPGRADE {0x01} push(@EXPORT, 'VIX_INSTALLTOOLS_AUTO_UPGRADE');
    sub VIX_INSTALLTOOLS_RETURN_IMMEDIATELY {0x02} push(@EXPORT, 'VIX_INSTALLTOOLS_RETURN_IMMEDIATELY');
    if(defined(&__cplusplus)) {
    }
}
1;
